This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 859749 - Can't suspend more than once with thinkpad t61 (nvidia)
Can't suspend more than once with thinkpad t61 (nvidia)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-23 14:38 EDT by Mihkel Vain
Modified: 2012-10-10 09:00 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-10 09:00:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg.txt (79.44 KB, text/plain)
2012-09-23 14:38 EDT, Mihkel Vain
no flags Details

  None (edit)
Description Mihkel Vain 2012-09-23 14:38:34 EDT
Created attachment 616195 [details]
dmesg.txt

Description of problem:
On my thinkpad t61 I can suspend to ram only once. When I execute pm-suspend after one successful suspend, screen goes blank, hdd spins down, fans keep working, then after a few seconds hdd spins up again, but screen remains black. I can't switch to virtual console, can't use REISUB, only way is to do forced reboot.
Laptop has nvidia graphics using nouveau driver.

How reproducible:
Always

Steps to Reproduce:
1. Make one successful suspend
2. Wake up and try to suspend again
3. Computer wont suspend. Instead hdd spins up again, but screen remains black and keyboard won't respond

Additional info:
$ fpaste --sysinfo
http://fpaste.org/nprb/
Comment 1 Mihkel Vain 2012-10-07 04:49:40 EDT
I just compiled vanilla 3.6.0 kernel from kernel.org with make oldconfig, did some suspend/resumes and this one seems to work fine. So in my opinion problem is in 3.5.* series. Will 3.6 land in fedora 17 too, or I have to wait until Fedora 18?
Comment 2 Josh Boyer 2012-10-08 07:53:49 EDT
(In reply to comment #1)
> I just compiled vanilla 3.6.0 kernel from kernel.org with make oldconfig,
> did some suspend/resumes and this one seems to work fine. So in my opinion
> problem is in 3.5.* series. Will 3.6 land in fedora 17 too, or I have to
> wait until Fedora 18?

F17 will get 3.6.x sometime this week most likely.
Comment 3 Josh Boyer 2012-10-09 12:43:59 EDT
F17 has been moved to 3.6.1 in git.  Marking MODIFIED.
Comment 4 Mihkel Vain 2012-10-10 03:42:11 EDT
Today I received some updates. Among them an update to 3.5.6-1.fc17.x86_64 kernel. Of course I did some tests to see if the suspend issue has been resolved. So after 5 successful suspend/resumes I can conclude that at least for me that bug has been squashed.

Note You need to log in before you can comment on or make changes to this bug.